﻿//////////////////////////////////////////////
// GlesSwitchRenderableCommand.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Forward decl -----------------------------

namespace nkGraphics::gles
{
	class GlesMesh ;
}

/// Includes ---------------------------------

// nkGraphics
#include "../GlesCommand.h"

/// Class ------------------------------------

namespace nkGraphics::gles
{
	class GlesSwitchRenderableCommand final : public GlesCommand
	{
		private :

			// Attributes
			GlesMesh* _newMesh ;

		public :

			// Constructor, destructor
			GlesSwitchRenderableCommand (GlesMesh* newMesh) ;
			~GlesSwitchRenderableCommand () ;

			// Execution
			virtual void execute () override ;
	} ;
}