﻿//////////////////////////////////////////////
// DofComplexEffectInfo.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Forward decl -----------------------------

namespace nkGraphics
{
	class Texture ;
}

/// Class ------------------------------------

namespace nkAstraeus
{
	struct DofComplexEffectInfo
	{
		// Input texture
		nkGraphics::Texture* _sourceTexture = nullptr ;
		nkGraphics::Texture* _sourceDepth = nullptr ;

		// Focal info params
		float _nearBlurDistance = 10.f ;
		float _focalPlaneDistance = 50.f ;
		float _farBlurDistance = 100.f ;

		// Flags for rendering methods
		bool _blendInSourceTexture = false ;
		bool _linearDepth = false ;
	} ;
}