﻿//////////////////////////////////////////////
// GlesDrawCommand.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Includes ---------------------------------

// nkGraphics
#include "../GlesCommand.h"

/// Class ------------------------------------

namespace nkGraphics::gles
{
	class GlesDrawCommand final : public GlesCommand
	{
		private :

			// Attributes
			// Counters
			unsigned int _indexCount ;
			unsigned int _instanceCount ;
			//unsigned int _baseInstance ;

		public :

			// Constructor, destructor
			GlesDrawCommand (unsigned int indexCount, unsigned int instanceCount, unsigned int baseInstance) ;
			~GlesDrawCommand () ;

			// Execution
			virtual void execute () override ;
	} ;
}