﻿//////////////////////////////////////////////
// GlesInstanceBufferCommand.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Forward decl -----------------------------

namespace nkGraphics::gles
{
	class GlesBuffer ;
}

/// Includes ---------------------------------

// nkGraphics
#include "../GlesCommand.h"

/// Class ------------------------------------

namespace nkGraphics::gles
{
	class GlesInstanceBufferCommand : public GlesCommand
	{
		private :

			// Attributes
			GlesBuffer* _buffer ;
			unsigned int _startingSlot ;

		public :

			// Constructor, destructor
			GlesInstanceBufferCommand (GlesBuffer* buffer, unsigned int startingSlot) ;
			~GlesInstanceBufferCommand () ;

			// Execution
			virtual void execute () override ;
	} ;
}