﻿//////////////////////////////////////////////
// KeyboardDevice.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Includes ---------------------------------

// nkInputs
#include "../../Dll/DllDefines.h"

#include "../../Enums/KeyCode.h"

/// Class ------------------------------------
	
namespace nkInputs
{
	class DLL_INPUTS_EXPORT KeyboardDevice
	{		
		public :
		
			// Constructeur, destructeur
			KeyboardDevice () ;
			virtual ~KeyboardDevice () ;

			// Savoir si des touches sont pressées
			virtual bool isKeyDown (KEY_CODE keyCode) = 0 ;

			// Update
			virtual void updateDevice () = 0 ;
	} ;
}