﻿//////////////////////////////////////////////
// InputSystem.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Forward decl -----------------------------

namespace nkInputs
{
	class DataAllocator ;
	class KeyboardDevice ;
	class MouseDevice ;
}

/// Class ------------------------------------

namespace nkInputs
{
	class InputSystem
	{
		public :

			// Constructor, destructor
			InputSystem () ;
			virtual ~InputSystem () ;

			// Getters
			virtual DataAllocator* getAllocator () const = 0 ;
	} ;
}